Bug 193393 - revive net/fspd: Take maintainership
Summary: revive net/fspd: Take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2014-09-06 12:59 UTC by Radim Kolar
Modified: 2015-01-18 15:14 UTC (History)
1 user (show)

See Also:


Attachments
port shar (6.60 KB, text/plain)
2014-09-06 12:59 UTC, Radim Kolar
no flags Details
port shar (6.54 KB, text/plain)
2014-09-07 08:46 UTC, Radim Kolar
no flags Details
test report (343.38 KB, text/plain)
2014-09-07 08:47 UTC, Radim Kolar
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Radim Kolar 2014-09-06 12:59:12 UTC
Created attachment 146928 [details]
port shar

revive port removed due to lack of stage support

add support for staging
use static pkg-plist
add DOCS knob
do not build sgml doc, for some reason it fails on current version jade
do not install man pages for client commands, if noclient port option is enabled
add LICENSE

(hsn@sanatana:pts/2):~/myports/fspd% cat pkg-descr
This is a server daemon, port scanner and (optionally) clients for FSP, the File
Service Protocol.
 
FSP is lightweight and connectionless.  It is typically used for offering files
to "anonymous" visitors over a congested link.  It uses UDP rather than TCP
sockets.  A service contact port (well-known port) for FSP has not been assigned
by IANA (per RFC 1700).  See <URL:http://www.faqs.org/faqs/fsp-faq/> for an
overview.

To use fspd, you must copy the fspd.conf.sample file, normally installed in
/usr/local/etc/, to fspd.conf and edit it.

You can run fspd from inetd or stand-alone.

WWW: http://fsp.sourceforge.net/
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-06 13:15:52 UTC
Please attach QA results to ensure your submission is resolved in a timely manner:

 * Attach successful poudriere testport, or redports build logs
 * Attach portlint -AC output, after addressing any outstanding issues

Additionally:

 * Add LICENSE_FILE is a standalone license exists in the distribution files
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-06 13:16:14 UTC
And thank you for your submission Radim
Comment 3 Radim Kolar 2014-09-07 08:45:46 UTC
(hsn@sanatana:pts/4):~/myports/fspd% portlint -CA                         10:45
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 1 warning found.
Comment 4 Radim Kolar 2014-09-07 08:46:23 UTC
Created attachment 146987 [details]
port shar
Comment 5 Radim Kolar 2014-09-07 08:47:02 UTC
Created attachment 146988 [details]
test report
Comment 6 Rene Ladan freebsd_committer 2015-01-02 21:08:50 UTC
I successfully built-tested the port with the DOCS and CLIENTS options both on and off.

Some modifications I made:
- make the CLIENTS option positive instead of the negative NOCLIENTS form. This is  more intuitive and it better interacts with the port system.
- Drop MLINKS files, they did not interact nicely with poudriere here and provide little benefit in my opinion.
- use @sample
- other minor Makefile changes
Comment 7 commit-hook freebsd_committer 2015-01-18 15:14:56 UTC
A commit references this bug:

Author: rene
Date: Sun Jan 18 15:14:19 UTC 2015
New revision: 377333
URL: https://svnweb.freebsd.org/changeset/ports/377333

Log:
  net/fspd: revive
  - stage
  - add a static pkg-plist
  - add DOCS knob
  - do not build SGML documentation (jade fails)
  - only install man pages for client commands if CLIENTS option is set

  Changes from me:
  - flip NOCLIENTS option into a CLIENTS option
  - drop MLINKS files
  - use @sample
  - other minor Makefile changes

  PR:		193393
  Submitted by:	Radim Kolar

Changes:
  head/MOVED
  head/net/Makefile
  head/net/fspd/
  head/net/fspd/Makefile
  head/net/fspd/pkg-descr
  head/net/fspd/pkg-plist